# DataExchange
TKSTEPBase
StepShape

# StepShape_SeamEdge Class Reference

Representation of STEP entity SeamEdge
.

`#include <StepShape_SeamEdge.hxx>`

Inheritance diagram for StepShape_SeamEdge:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_SeamEdge ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRepresentationItem_Name, const Handle(StepShape_Edge)&aOrientedEdge_EdgeElement, const Standard_Boolean aOrientedEdge_Orientation, const Handle(StepGeom_Pcurve)&aPcurveReference)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepGeom_Pcurve | PcurveReference () const
| Returns field PcurveReference .
Standard_EXPORT void | SetPcurveReference (const Handle(StepGeom_Pcurve)&PcurveReference)
| Set field PcurveReference .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepGeom_Pcurve | thePcurveReference

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_SeamEdge::StepShape_SeamEdge | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_SeamEdge::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_OrientedEdge.

Standard_EXPORT void StepShape_SeamEdge::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentationItem_Name,
|  | const Handle(StepShape_Edge)& | aOrientedEdge_EdgeElement,
|  | const Standard_Boolean | aOrientedEdge_Orientation,
|  | const Handle(StepGeom_Pcurve)& | aPcurveReference
| ) |

Standard_EXPORT Handle_StepGeom_Pcurve StepShape_SeamEdge::PcurveReference | ( |  | ) | const

Standard_EXPORT void StepShape_SeamEdge::SetPcurveReference | ( | const Handle(StepGeom_Pcurve)& | PcurveReference | ) |

## Field Documentation

Handle_StepGeom_Pcurve StepShape_SeamEdge::thePcurveReference `[private]`

The documentation for this class was generated from the following file:

- StepShape_SeamEdge.hxx